/*
 * LoadXyzAction.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef LOADXYZACTION_HPP_
#define LOADXYZACTION_HPP_

#include "Actions/Action.hpp"


void ParserLoadXyz(std::string &filename);

class ParserLoadXyzAction : public Action {
  friend void ParserLoadXyz(std::string &filename);

public:
  ParserLoadXyzAction();
  virtual ~ParserLoadXyzAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* LOADXYZACTION_HPP_ */
